Subject: RE: Message-ID (was: RE: Take 2: References/In-Reply-To replaceme nt text)

From: "Larry Osterman (Exchange)" <[email-masked]>
Date: Wed, 2 Jun 1999 10:26:00 -0700

The message ID generation algorithm that exchange uses isn't at issue here,
suffice it to say that it's unique enough.  The problem is that Exchange
will use whatever gethostbyaddr(gethostbyname(gethostname())) returns for
the host's name as the RHS of the message ID.  The problem is that NT4 does
not require that the administrator specify a DNS domain name suffix when
configuring a server (this particular issue is fixed in W2K), and some DNS
servers only return the first name in their database, even if it is a flat
name instead of the fully qualified domain.  As a result, it's POSSIBLE that
exchange's message-ID's will NOT have a FQDN on the RHS of the message-id.
And I just want to ensure that Exchange isn't rendered non compliant simply
because of this misconfiguration.

Larry Osterman
Sent from larryo-laptop.dns.microsoft.com running NT5 and Outlook 2000
and Exchange Server 5.5.  Please notify the sender of any difficulties

> -----Original Message-----
> From: Brad Knowles [mailto:[email-masked]]
> Sent: Wednesday, June 02, 1999 2:31 AM
> To: Larry Osterman (Exchange); 'Matt Curtin'
> Cc: 'Robert Elz'; Pete Resnick; DRUMS
> Subject: RE: Message-ID (was: RE: Take 2: References/In-Reply-To
> replaceme nt text)
> 
> 
> At 12:57 PM -0700 6/1/99, Larry Osterman (Exchange) wrote:
> 
> > The current text in RFC822-bis accomplishes this, it 
> recommends an algorithm
> > but allows deviation from the algorithm, as long as the 
> entire message-id is
> > guaranteed to be unique.
> 
> 	As far as this statement goes, that's fine.  Please tell me how 
> the message-id generation algorithm you use (which does not include 
> an FQDN on the RHS) *GUARANTEES* this uniqueness?
> 
> -- 
>    These are my opinions -- not to be taken as official Skynet policy
>   ____________________________________________________________________
> |o| Brad Knowles, <[email-masked]>            Belgacom Skynet NV/SA |o|
> |o| Systems Architect, News & FTP Admin      Rue Col. Bourg, 124   |o|
> |o| Phone/Fax: +32-2-706.11.11/12.49         B-1140 Brussels       |o|
> |o| http://www.skynet.be                     Belgium               |o|
> \/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/\/
>   Unix is like a wigwam -- no Gates, no Windows, and an Apache inside.
>    Unix is very user-friendly.  It's just picky who its friends are.
>

---

From: Brad Knowles <[email-masked]>
Date: Wed, 2 Jun 1999 20:02:11 +0200

At 10:26 AM -0700 6/2/99, Larry Osterman (Exchange) wrote:

> suffice it to say that it's unique enough.

	That's simply not true, but this is obviously a point that we 
will never be able to get pounded through your thick skull.

>                                              As a result, it's POSSIBLE that

	Sounds to me like yet another client software bug that needs to be fixed.